// auth.route.ts
import express from "express";
import { authorize } from "../middlewares";
import { changePassword, getUserById, getUsers, updateUser } from "../controllers/user.controller";
import { validateData } from "../middlewares/validationMiddleware";
import { changePaswordValidation } from "../helpers/user.helper";

export const userRouter = express.Router();
userRouter.get(
  "/",
  authorize(["ADMIN"]),
  getUsers
);
userRouter.get(
  "/:id",
  authorize(["ADMIN","DEFAULT"]),
  getUserById
);

userRouter.put(
  "/",
  authorize(["ADMIN","DEFAULT"]),
  // validateData(registrationChangeValidation),
  updateUser
);

userRouter.post(
  "/change-password",
  authorize(["ADMIN","DEFAULT"]),
  validateData(changePaswordValidation),
  changePassword
);

