import { db } from "../db";
import { generateOTP } from "../utils/general";
import sgMail from "@sendgrid/mail";

export const verifyEmailSend = async (email: string, userId: string) => {
  const otp = generateOTP();
  const resSave = await db.verifyEmail.create({
    data: {
      email: email,
      otp: otp,
      UserId: userId,
    },
  });

  //   SEND OTP

  const content = `your email verification code is ${otp}`;
  sendEmail("Email Verification",email,content)
  console.log(`EMAIL SEND ${email} OTP ${otp}`);

  return { verifyId: resSave.id, otp: resSave.otp };
};
export const sendEmail = (subject: string, toEmail: string, content: any) => {

  const SENDGRID_API_KEY = process.env.SENDGRID_API_KEY??''
  
  sgMail.setApiKey(SENDGRID_API_KEY)

  const msg = {
    to: toEmail, // Change to your recipient
    from: 'info@test.com',
    subject: subject,
    text: content,
    html: content,
  }

  sgMail
    .send(msg)
    .then((response) => {
      console.log(response[0].statusCode)
      console.log(response[0].headers)
    })
    .catch((error) => {
      console.error(error)
      console.error('error.body',error.response.body)
    })
}